org.apache.velocity.tools.generic

## Class FieldTool.MutableField

- java.lang.Object
- - org.apache.velocity.tools.generic.FieldTool.MutableField

Enclosing class:
  FieldTool

    public class FieldTool.MutableField
    extends Object

Holds a `Field` and `Class` reference for later retrieval of the value of a field that is not final and may change at different lookups.

### Constructor Summary

Constructors
Constructor and Description
`MutableField(Field f, Class c)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `getValue()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MutableField

    public MutableField(Field f,
                        Class c)

### Method Detail

#### getValue

    public Object getValue()